Package org.apache.sysds.runtime.meta

# Class MetaDataAll

java.lang.Object
org.apache.sysds.parser.Expression
org.apache.sysds.parser.Identifier
org.apache.sysds.parser.DataIdentifier
org.apache.sysds.runtime.meta.MetaDataAll

All Implemented Interfaces:
  `ParseInfo`

public class MetaDataAll extends DataIdentifier

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.parser.Expression

`Expression.BinaryOp, Expression.BooleanOp, Expression.DataOp, Expression.FunctCallOp, Expression.RelationalOp`

## Constructor Summary

Constructors
Constructor
Description
`MetaDataAll()`
`MetaDataAll(BufferedReader br)`
`MetaDataAll(String meta)`
`MetaDataAll(String mtdFileName, boolean conditional, boolean parseMeta)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addVarParam(String name, Expression value, HashMap<String,Expression> varParams)`
`static String`
`checkHasDelimitedFormat(String filename, boolean conditional)`
`static String`
`checkHasHDF5Format(String filename)`
`static boolean`
`checkHasMatrixMarketFormat(String inputFileName, String mtdFileName, boolean conditional)`
`DataCharacteristics`
`getDataCharacteristics()`
`String`
`getDelim()`
`String`
`getFineGrainedPrivacy()`
`String`
`getFormatTypeString()`
`boolean`
`getHasHeader()`
`String`
`getPrivacyConstraints()`
`String`
`getSchema()`
`boolean`
`getSparseDelim()`
`boolean`
`mtdExists()`
`HashMap<String,Expression>`
`parseMetaDataFileParameters(String mtdFileName, boolean conditional, HashMap<String,Expression> varParams)`
`org.apache.wink.json4j.JSONObject`
`readMetadataFile(String filename, boolean conditional)`
`void`
`setDelim(String delim)`
`void`
`setFineGrainedPrivacy(String fineGrainedPrivacy)`
`void`
`setFormatTypeString(String format)`
`void`
`setHasHeader(boolean hasHeader)`
`void`
`setPrivacyConstraints(String privacyConstraints)`
`void`
`setSchema(String schema)`
`void`
`setSparseDelim(boolean sparseDelim)`
`String`
`toString()`

### Methods inherited from class org.apache.sysds.parser.DataIdentifier

`equals, getName, hashCode, multipleReturns, rewriteExpression, setName, variablesRead, variablesUpdated`

### Methods inherited from class org.apache.sysds.parser.Identifier

`computeDataType, dimsKnown, getBlocksize, getDataType, getDim1, getDim2, getFileFormat, getNnz, getValueType, isScalarBoolean, setBlocksize, setBooleanProperties, setDataType, setDimensions, setDimensionValueProperties, setFileFormat, setIntProperties, setNnz, setProperties, setValueType, validateExpression`

### Methods inherited from class org.apache.sysds.parser.Expression

`computeDataType, computeDataType, computeValueType, computeValueType, computeValueType, convertFormatType, getBeginColumn, getBeginLine, getBinaryMatrixCharacteristics, getBinaryOp, getBooleanOp, getEndColumn, getEndLine, getFilename, getOutput, getOutputs, getParseExceptionList, getRelationalOp, getTempName, getText, printErrorLocation, printInfoLocation, printWarningLocation, raiseValidateError, raiseValidateError, raiseValidateError, setBeginColumn, setBeginLine, setCtxValues, setCtxValuesAndFilename, setEndColumn, setEndLine, setFilename, setOutput, setParseExceptionList, setParseInfo, setText, validateExpression`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MetaDataAll

public MetaDataAll()

### MetaDataAll

public MetaDataAll(String meta)

### MetaDataAll

public MetaDataAll(BufferedReader br)

### MetaDataAll

public MetaDataAll(String mtdFileName, boolean conditional, boolean parseMeta)

## Method Details

### readMetadataFile

public org.apache.wink.json4j.JSONObject readMetadataFile(String filename, boolean conditional)

### mtdExists

public boolean mtdExists()

### getFormatTypeString

public String getFormatTypeString()

### getFineGrainedPrivacy

public String getFineGrainedPrivacy()

### getDelim

public String getDelim()

### getSchema

public String getSchema()

### getHasHeader

public boolean getHasHeader()

### getSparseDelim

public boolean getSparseDelim()

### getPrivacyConstraints

public String getPrivacyConstraints()

### setSparseDelim

public void setSparseDelim(boolean sparseDelim)

### setHasHeader

public void setHasHeader(boolean hasHeader)

### setFineGrainedPrivacy

public void setFineGrainedPrivacy(String fineGrainedPrivacy)

### setSchema

public void setSchema(String schema)

### setDelim

public void setDelim(String delim)

### setFormatTypeString

public void setFormatTypeString(String format)

### setPrivacyConstraints

public void setPrivacyConstraints(String privacyConstraints)

### getDataCharacteristics

public DataCharacteristics getDataCharacteristics()

### parseMetaDataFileParameters

public HashMap<String,Expression> parseMetaDataFileParameters(String mtdFileName, boolean conditional, HashMap<String,Expression> varParams)

### addVarParam

public void addVarParam(String name, Expression value, HashMap<String,Expression> varParams)

### checkHasDelimitedFormat

public static String checkHasDelimitedFormat(String filename, boolean conditional)

### checkHasMatrixMarketFormat

public static boolean checkHasMatrixMarketFormat(String inputFileName, String mtdFileName, boolean conditional)

### checkHasHDF5Format

public static String checkHasHDF5Format(String filename)

### toString

public String toString()

Overrides:
  `toString` in class `DataIdentifier`